#!/usr/bin/perl -w

# Rule generator for SpamAssassin.

use strict;

# Each matched pattern will add this score to total SA count
my $bad_word_score = '0.5';
# List of words to use for patterns
my @bad_words = qw/
					casino
					gambling
					viagra
				/;

foreach my $bad_word (@bad_words) {
	my $pattern = join('\S*',split ('',$bad_word));
	my $rule = 'HAS_' . uc($bad_word);
	print "body $rule /$pattern/i\n";
	print "score $rule $bad_word_score\n";
}

